org.firebirdsql.encodings

## Class CharacterTranslator

- java.lang.Object
- - org.firebirdsql.encodings.CharacterTranslator

- Deprecated.
  To be removed in Jaybird 4

      @Deprecated
      public final class CharacterTranslator
      extends java.lang.Object

  Class responsible for character translation.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CharacterTranslator` | `IDENTITY_TRANSLATOR` Deprecated. CharacterTranslator with the identity mapping established by `DEFAULT_MAPPING`;

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CharacterTranslator` | `create(java.lang.String mappingPath)` Deprecated. Initialize this class with the specified mapping.
    `char[]` | `getMapping()` Deprecated. Get mapping table.
    `char` | `getMapping(char toMap)` Deprecated. Get mapping for the specified character.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### IDENTITY_TRANSLATOR

          public static final CharacterTranslator IDENTITY_TRANSLATOR

      Deprecated.
      CharacterTranslator with the identity mapping established by `DEFAULT_MAPPING`;

  - ### Method Detail

    - #### getMapping

          public char[] getMapping()

      Deprecated.
      Get mapping table.
      Returns:
        mapping table.

    - #### getMapping

          public char getMapping(char toMap)

      Deprecated.
      Get mapping for the specified character.
      Parameters:
        `toMap` - character to map.
      Returns:
        mapped character.

    - #### create

          public static CharacterTranslator create(java.lang.String mappingPath)
                                            throws java.sql.SQLException

      Deprecated.
      Initialize this class with the specified mapping.
      Parameters:
        `mappingPath` - path to the .properties file with the corresponding mapping.
      Throws:
        `java.sql.SQLException` - if I/O error occurred or specified mapping is incorrect or cannot be found.

Copyright © 2001-2021 Jaybird (Firebird JDBC/JCA) team. All rights reserved.